import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { CommissionBatchItemCreateManyCommissionBatchInputObjectSchema as CommissionBatchItemCreateManyCommissionBatchInputObjectSchema } from './CommissionBatchItemCreateManyCommissionBatchInput.schema'

const makeSchema = () => z.object({
  data: z.union([z.lazy(() => CommissionBatchItemCreateManyCommissionBatchInputObjectSchema), z.lazy(() => CommissionBatchItemCreateManyCommissionBatchInputObjectSchema).array()]),
  skipDuplicates: z.boolean().optional()
}).strict();
export const CommissionBatchItemCreateManyCommissionBatchInputEnvelopeObjectSchema: z.ZodType<Prisma.CommissionBatchItemCreateManyCommissionBatchInputEnvelope> = makeSchema() as unknown as z.ZodType<Prisma.CommissionBatchItemCreateManyCommissionBatchInputEnvelope>;
export const CommissionBatchItemCreateManyCommissionBatchInputEnvelopeObjectZodSchema = makeSchema();
